import { FcrRadio, FcrRadioGroup } from '.';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
var meta = {
  title: 'Components/Radio',
  tags: ['autodocs'],
  args: {}
};
export var Basic = {
  render: function render() {
    return /*#__PURE__*/_jsx(_Fragment, {
      children: /*#__PURE__*/_jsxs(FcrRadioGroup, {
        defaultValue: 'a',
        onChange: function onChange(value) {
          console.log(value);
        },
        children: [/*#__PURE__*/_jsx(FcrRadio, {
          value: "a",
          label: "Agree terms of service"
        }), /*#__PURE__*/_jsx(FcrRadio, {
          value: "b",
          styleType: "white",
          label: "Agree terms of service"
        }), /*#__PURE__*/_jsx(FcrRadio, {
          value: "b",
          styleType: "transparent",
          label: "Agree terms of service"
        })]
      })
    });
  }
};
export default meta;